<?php 
$ids = ! empty( $instance['ids'] ) ? $instance['ids'] : ''; 
$height = ! empty( $instance['height'] ) ? $instance['height'] : ''; 
$hide_property_descriptions = ! empty( $instance['hide_property_descriptions'] ) ? $instance['hide_property_descriptions'] : ''; 
?>

<!-- IDS -->
<p>
    <label for="<?php echo esc_attr( $this->get_field_id( 'ids' ) ); ?>">
        <?php echo __( 'IDs', 'realia' ); ?>
    </label>

    <input  class="widefat"
            id="<?php echo esc_attr( $this->get_field_id( 'ids' ) ); ?>"
            name="<?php echo esc_attr( $this->get_field_name( 'ids' ) ); ?>"
            type="text"
            value="<?php echo esc_attr( $ids ); ?>">
    <br>
    <small><?php echo __( 'Property IDs, separated by commas.', 'realia' ); ?></small>
</p>

<!-- IDS -->
<p>
    <label for="<?php echo esc_attr( $this->get_field_id( 'height' ) ); ?>">
        <?php echo __( 'Height', 'realia' ); ?>
    </label>

    <input  class="widefat"
            id="<?php echo esc_attr( $this->get_field_id( 'height' ) ); ?>"
            name="<?php echo esc_attr( $this->get_field_name( 'height' ) ); ?>"
            type="text"
            value="<?php echo esc_attr( $height ); ?>">
    <br>
    <small><?php echo __( 'Carousel height. Default 500px.', 'realia' ); ?></small>
</p>

<!-- HIDE PROPERTY DESCRIPTIONS -->
<p>
    <input  type="checkbox"
            class="checkbox" 
            <?php echo ! empty( $hide_property_descriptions ) ? 'checked="checked"' : ''; ?>
            id="<?php echo esc_attr( $this->get_field_id( 'hide_property_descriptions' ) ); ?>"
            name="<?php echo esc_attr( $this->get_field_name( 'hide_property_descriptions' ) ); ?>">

    <label for="<?php echo esc_attr( $this->get_field_id( 'hide_property_descriptions' ) ); ?>">
        <?php echo __( 'Hide Property Descriptions', 'realia' ); ?>
    </label>
</p>